Subject: [CDNi] Fwd: Last Call: <draft-ietf-cdni-framework-10.txt> (Framework for CDN Interconnection) to Informational RFC

From: "Francois Le Faucheur (flefauch)" <[email-masked]>
Date: Mon, 17 Mar 2014 13:36:18 +0000

Just forwarding this message to the list (since it got blocked by Mailer by error).

Begin forwarded message:

Resent-From: <[email-masked]<mailto:[email-masked]>>
From: S Moonesamy <[email-masked]<mailto:[email-masked]>>
Subject: Re: Last Call: <draft-ietf-cdni-framework-10.txt> (Framework for CDN Interconnection) to Informational RFC
Date: 14 March 2014 06:19:16 CET
Resent-To: <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>
To: "Brandenburg, R. (Ray) van" <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>
Cc: <[email-masked]<mailto:[email-masked]>>

Hi Ray,
At 08:39 06-03-2014, Brandenburg, R. (Ray) van wrote:
You¹re right that the document mentions DNS, however, I¹m not sure that
warrants an (informative) reference to a DNS specification. Do you have a
specific DNS spec in mind that you would like to see referenced?

I would not describe the issue as being about references.  It is about what existing material has to be covered if a specification is building on previous IETF specifications.  In this case the proponents of the specification would have gone through RFC 1035

In order to understand the meaning of the sentence, I think it¹s helpful
to clarify the fact that we¹re talking about a DNS server in the
Downstream CDN, hence the term downstream DNS server. I¹m a not sure
whether recursive name server would cover the meaning as well. How about
DNS responses are cached by servers in the dCDN?

Thanks for the explanation.  From an outsider's point of view it is only useful to know what type of name server the client is interacting with.  What happens the background, i.e. the CDN part, is not important.  Saying that "DNS responses are cached by servers" does not provide that information.

Again, our intention is not to hint at a preferred choice between HTTP
or DNS, or to lead (let alone mislead) the reader in any direction. I
will try to rephrase the paragraph to remove any words that might sound as
such.

Sorry for the "mislead".  I chose the word quickly.  The point is that you know how all this works.  The average reader (who has not participated in the working group) might read that as a choice.

Regards,
S. Moonesamy